@import url("https://fonts.googleapis.com/css?family=Rajdhani:500,700&display=swap");
*,
*:before,
*:after {
  box-sizing: border-box;
}
a:link { text-decoration:none; }
a:visited { text-decoration:none; }

body {
  /* background: #efefef; */
  position: relative;
  font-family: "Rajdhani", sans-serif;
  /* background-image: url('../img/bg_login.jpg'); */
  /* background: linear-gradient(rgba(0, 0, 0, 0.301), rgba(0, 0, 0, 0.61)), url(../img/bg_login.jpg) center center no-repeat; */
  background-repeat: no-repeat;
  background-attachment: fixed;  
  background-size: cover;
}
h2 {
    font-weight: bold;
    font-family: "Rajdhani", sans-serif;
}

/* สีหลัง form login  */
.content {
  background: #b6b6b6;
  box-shadow: 3px 3px 2px rgba(0, 0, 0, 0.15);
  /* border-radius: 0.75em; */

}

.login-cta > h2 {
  color: #3e3f5e;
  font-size: 1.75rem;
  text-align: center;
}

.socials-wrapper > header > h2 {
  background: #fff;
  color: #3e3f5e;
  font-size: 1rem;
  position: relative;
  text-align: center;
  z-index: 10;
}
.socials-wrapper > header > h2:after, .socials-wrapper > header > h2:before {
  background: #d3d3e2;
  content: "";
  display: block;
  height: 0.1em;
  position: absolute;
  top: 50%;
  transform: translatey(-50%);
  width: 17.5%;
}
.socials-wrapper > header > h2:after {
  right: 0;
}
.socials-wrapper > header > h2:before {
  left: 0;
}
.socials-wrapper > ul {
  display: flex;
  list-style: none;
  justify-content: center;
  padding: 0;
}
.socials-wrapper > ul > li {
  margin: 0.5em;
}
.socials-wrapper > ul > li > a {
  align-items: center;
  border-radius: 0.5em;
  color: #fff;
  display: flex;
  height: 2em;
  justify-content: center;
  text-align: center;
  text-decoration: none;
  transition: all 300ms ease;
  width: 2em;
}
.socials-wrapper > ul > li > a.facebook {
  background-color: #3763d2;
}
.socials-wrapper > ul > li > a.twitter {
  background-color: #1abcff;
}
.socials-wrapper > ul > li > a.twitch {
  background-color: #7b5dfa;
}
.socials-wrapper > ul > li > a.youtube {
  background-color: #fd434f;
}
.socials-wrapper > ul > li > a:hover {
  transform: translatey(-0.25em);
}

form {
  margin: 2em 0;
}
form > .form-row {
  display: flex;
  margin: 0.75em 0;
  position: relative;
}
form > .form-row > span {
  background: #fff;
  color: #adafca;
  display: inline-block;
  font-weight: 400;
  left: 1em;
  padding: 0 0.2em;
  position: absolute;
  pointer-events: none;
  transform: translatey(-50%);
  top: 50%;
  transition: all 300ms ease;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
form > span {
  color: red;
}
form > .form-row > input, form > .form-row > button {
  border-radius: 0.5em;
  font-family: inherit;
  padding: 1em 1.5em;
  padding-top: 15px;
  padding-bottom: 15px;
  font-size: 18px;
  width: 100%;
}
form > .form-row > input {
  font-weight: bold;
  /* font-size: 19px; */
  transition: 100ms ease all;
  width: 100%;
}
form > .form-row > input[type=text], form > .form-row > input[type=password] {
  border: 0.075em solid #ddd;
}
form > .form-row > input:valid + span {	
  top: 0;
  font-size: 0.9rem;
}
form > .form-row > input:invalid + span {
  top: 50%;
}

form > .form-row > input:focus + span {
  top: 0;
}

form > .form-row > input:required {
  box-shadow: none;
  /* box-shadow: 3px 3px 1px rgba(0,0,0,0.25),
  -1px -1px 1px rgba(255,255,255,0.3); */
}
form > .form-row > input:focus {
  box-shadow: 0 0 0 1px rgba(21, 156, 228, 0.4);
  border-color: #1E90FF;
  outline: none;
}

form > .form-row > input:focus:invalid {
  box-shadow: 0 0 0 1px rgba(21, 156, 228, 0.4);
  outline: 0;
  top: 50%;
}
form > .form-row > input:focus:valid {
  top: 0;
}
form > .form-row > button {
  background-color: #7b5dfa;
  border: 0.1em solid #7b5dfa;
  color: #fff;
  cursor: pointer;
  font-weight: bold;
  transition: all 300ms ease;
}
form > .form-row > button:focus {
  border: 0.1em solid #532cf8;
  outline: none;
}
form > .form-row > button:hover {
  background-color: #6744f9;
}
.contact-wrapper {
  background: #fff;
  box-shadow: 3px 3px 2px rgba(0, 0, 0, 0.15);
  border-radius: 0.75em;
  padding: 2em;
  width: 25em;
}
.uk-card-default {
  background: #fff;
  color: #666;
  border-radius: 0.75em;
  box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
  /* box-shadow: 3px 3px 2px rgba(0, 0, 0, 0.15); */
  
}
/* .uk-card-default:hover {
  box-shadow:-8px -8px 12px rgba(255,255,255,0.3) inset;
} */

.log {
    font-size: 16px;
}
.sub {
  font-size: 18px;
  font-weight: bold;
  padding:2px;
  border-radius: 0.5em;
  /* text-shadow: 3px 3px 4px rgba(0, 0, 0, 0.498); */
}
/* box-shadow เพิ่มเงาปุ่ม-กล่อง */
/* text-shadow เพิ่มเงาตัวอักษร */
.uk-button {
  border-color: #1E90FF;
  box-shadow: 3px 3px 1px rgba(0,0,0,0.25),
              -1px -1px 1px rgba(255,255,255,0.3);
  cursor: pointer;
}
.uk-button:hover {
  box-shadow:0px 0px  rgba(255,255,255,0.3) inset;
}
 
/* สีใน span login */
.form-row > input:focus + span,
.form-row > input:valid + span {
	color: #222222a1;
	cursor: pointer;
}
.form-textbox:focus {
  box-shadow: 0 0 0 3px #dc143f;
  outline: 0;
}
.boxerror {
  color: red;
  font-size: 18px;
  font-family: 'Prompt', sans-serif;
}
/* .error {
  width: 800px;
  background-color: rgba(255, 0, 0, 0.5);
  border-radius: 5px;
  padding: 5px;
} */
.textregis {
  font-family: 'Prompt', sans-serif;
}
hr {
  margin: 0 0 10px 0;
}